Bug 1243102 - Deleting VM snapshots with qemu-kvm-ev-2.1.2 fails
Summary: Deleting VM snapshots with qemu-kvm-ev-2.1.2 fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.1
Hardware: All
OS: Unspecified
unspecified
high
Target Milestone: pre-dev-freeze
: 7.2
Assignee: Jeff Cody
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 1248391 1248400
TreeView+ depends on / blocked
 
Reported: 2015-07-14 19:02 UTC by Marcus Sorensen
Modified: 2015-12-04 16:50 UTC (History)
25 users (show)

Fixed In Version: qemu-kvm-rhev-2.3.0-13.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1248391 1248400 (view as bug list)
Environment:
Last Closed: 2015-12-04 16:50:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:2546 0 normal SHIPPED_LIVE qemu-kvm-rhev bug fix and enhancement update 2015-12-04 21:11:56 UTC

Description Marcus Sorensen 2015-07-14 19:02:50 UTC
Description of problem:

Creating a snapshot, then deleting a snapshot, on a domain with multiple disks fails to delete internal snapshots on all disks but the first.


Version-Release number of selected component (if applicable):

qemu-kvm-ev 2.1.2-23.el7_1.3 (and also checked newer version in oVirt 3.6

How reproducible:

On domain with multiple qcow2 disks:
1. virsh snapshot-create <domain>
2 .virsh snapshot-delete <domain> <snapshotname>
3. do 'qemu-img info' on all disk files attached to domain, and note that disks still contain qcow2 snapshots. This further causes problems for subsequent snapshot-create


Actual results:
some qcow2 disks have snapshot


Expected results:
all qcow2 disks have no snapshot


Additional info:

This is already fixed in qemu-kvm upstream. Just need to backport the patch and include it. I have backported the patch for my own use, but I'd like to see this fixed upstream so we don't have to maintain it.

commit af957387547b05ed6dc4d84c10cca42700a7aeda
Author: Zhang Haoyu <zhanghy@sangfor.com>
Date:   Mon Sep 29 16:38:02 2014 +0800

    snapshot: fix referencing wrong variable in while loop in do_delvm
    
    The while loop variabal is "bs1",
    but "bs" is always passed to bdrv_snapshot_delete_by_id_or_name.
    Broken in commit a89d89d, v1.7.0.
    
    Signed-off-by: Zhang Haoyu <zhanghy@sangfor.com>
    Reviewed-by: Markus Armbruster <armbru@redhat.com>
    Signed-off-by: Stefan Hajnoczi <stefanha@redhat.com>

Comment 1 Fabian Deutsch 2015-07-15 10:01:00 UTC
This bug needs to be filed in the qemu or centos tracker, Node is just reusing this build.

Comment 2 Jan Kurik 2015-07-15 13:16:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 3 Marcus Sorensen 2015-07-15 16:05:37 UTC
Thanks for moving it. Ideally we'd like to see it end up in qemu-kvm-ev-2.1.2-23.el7_1.5 or similar, as built by http://cbs.centos.org/koji/packageinfo?packageID=539. I must say it's a bit confusing trying to find who is responsible for the "ev" packages, I was going to try to submit a patch myself, but the CentOS qemu-kvm(1.5.3) isn't what we're after.

Comment 4 Sandro Bonazzola 2015-07-16 07:07:00 UTC
Hi, I'm the one rebuilding qemu-kvm-ev from qemu-kvm-rhev for CentOS Virt SIG.
Moving to qemu-kvm-rhev to let the maintainer know about this issue.

Comment 6 juzhang 2015-08-03 04:34:20 UTC
Hi Mrezanin,

Could you add this bz into rhel7.2 qemu-kvm-rhev erratum?

Best Regards,
Junyi

Comment 8 mazhang 2015-08-06 09:02:00 UTC
Reproduce this bug on qemu-kvm-rhev-2.1.2-16.el7.x86_64.

Host:
3.10.0-302.el7.x86_64
qemu-kvm-rhev-2.1.2-16.el7.x86_64

Guest:
win7-64

Steps:
1. Start vm with a data disk

2. Create snapshot
virsh # snapshot-create win7
Domain snapshot 1438851175 created

3. Delete snapshot.
virsh # snapshot-delete win7 1438851175
Domain snapshot 1438851175 deleted

4. Check data disk image

Result:
Snapshot still exist.

[root@dhcp-11-16 images]# qemu-img info win7.qcow2 
image: win7.qcow2
file format: qcow2
virtual size: 8.0G (8589934592 bytes)
disk size: 1.9M
cluster_size: 65536
Snapshot list:
ID        TAG                 VM SIZE                DATE       VM CLOCK
1         1438851175                0 2015-08-06 16:52:55   00:00:30.913
Format specific information:
    compat: 1.1
    lazy refcounts: true


Verify this bug on qemu-kvm-rhev-2.3.0-15.el7.x86_64.

Result:
All snapshot deleted by virsh command.

This bug has been fixed.

Comment 10 errata-xmlrpc 2015-12-04 16:50:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2546.html


Note You need to log in before you can comment on or make changes to this bug.